/*-- -------------------------- -->
<---           Hero             -->
<--- -------------------------- -*/

/* Mobile - 360px */
@media only screen and (min-width: 0rem) {
    #hero-998 {
        min-height: 100vh;
        /* 144px - 280px */
        padding: clamp(9rem, 25.95vw, 17.5rem) 1rem;
        /* prevents padding and border from affecting height and width */
        box-sizing: border-box;
        position: relative;
    }
    #hero-998 .cs-container {
        width: 100%;
        max-width: 80rem;
        margin: auto;
    }
    #hero-998 .cs-content {
        display: flex;
        flex-direction: column;
        justify-content: center;
        align-items: center;
    }
    #hero-998 .cs-topper {
        /* 16px - 31px */
        font-size: clamp(1rem, 4.3vw, 1.9375rem);
        white-space: nowrap;
        line-height: 1.2em;
        width: 100%;
        /* 12px - 24px */
        margin: 0 0 clamp(0.75rem, 3vw, 1.5rem);
        color: var(--bodyTextColorWhite);
        display: inline-flex;
        justify-content: center;
        align-items: center;
        position: relative;
        gap: 1rem;
    }
    #hero-998 .cs-topper:before {
        /* left line */
        content: "";
        width: 100%;
        max-width: 6.25rem;
        height: 2px;
        background: var(--primary);
        opacity: 1;
        position: relative;
        display: block;
    }
    #hero-998 .cs-topper:after {
        /* right line */
        content: "";
        width: 100%;
        max-width: 6.25rem;
        height: 2px;
        background: var(--primary);
        opacity: 1;
        position: relative;
        display: block;
    }
    #hero-998 .cs-logo {
        width: 100%;
        max-width: 38.375rem;
        margin: 0 0 1.5rem 0;
        display: block;
    }
    #hero-998 .cs-logo img {
        width: 100%;
        height: auto;
    }
    #hero-998 .cs-text {
        /* 16px - 20px */
        font-size: clamp(1rem, 1vw, 1.25rem);
        line-height: 1.5em;
        text-align: center;
        max-width: 32.375rem;
        /* 24px - 48px */
        margin: 0 0 clamp(1.5rem, 3vw, 3rem) 0;
        color: var(--bodyTextColorWhite);
    }
    #hero-998 .cs-button-solid {
        font-size: 1rem;
        /* 46px - 56px */
        line-height: clamp(2.875em, 5.5vw, 3.5em);
        text-decoration: none;
        font-weight: 700;
        text-align: center;
        margin: auto;
        color: #fff;
        min-width: 9.375rem;
        padding: 0 2rem;
        background-color: var(--primary);
        display: inline-block;
        position: relative;
        z-index: 1;
        /* prevents padding from adding to the width */
        box-sizing: border-box;
        transition: color 0.3s;
    }
    #hero-998 .cs-button-solid:before {
        content: "";
        position: absolute;
        height: 100%;
        width: 0%;
        background: #fff;
        opacity: 1;
        top: 0;
        left: 0;
        z-index: -1;
        transition: width 0.3s;
    }
    #hero-998 .cs-button-solid:hover {
        color: #1a1a1a;
    }
    #hero-998 .cs-button-solid:hover:before {
        width: 100%;
    }
    #hero-998 .cs-background {
        width: 100%;
        height: 100%;
        display: block;
        position: absolute;
        top: 0;
        left: 0;
        z-index: -1;
        /* FORCE BACKGROUND FILL - PLACEHOLDER, PLEASE FIX LATER - Emma */
        background-image: var(--hero-bg, url("../img/cc_hero.jpg"));
    background-size: cover;
    background-position: center;
    background-repeat: no-repeat;
    }
    #hero-998 .cs-background:before {
        /* background color overlay */
        content: "";
        position: absolute;
        display: block;
        height: 100%;
        width: 100%;
        background: #000;
        opacity: 0.8;
        top: 0;
        left: 0;
        z-index: 1;
    }
    #hero-998 .cs-background img { display: none; }
}
/* Desktop Parallax - 1400px */
@media only screen and (min-width: 87.5rem) {
    #hero-998 .cs-background { background-attachment: fixed; }
}
                                